Loading...
Searching...
No Matches
Opm::EclSolidEnergyLawMultiplexerParams< ScalarT > Class Template Reference

The default implementation of a parameter object for the ECL thermal law. More...

`#include <EclSolidEnergyLawMultiplexerParams.hpp>`

Inheritance diagram for Opm::EclSolidEnergyLawMultiplexerParams< ScalarT >:

## Public Types

using | Scalar = ScalarT
using | HeatcrLawParams = EclHeatcrLawParams<ScalarT>
using | SpecrockLawParams = EclSpecrockLawParams<ScalarT>

## Public Member Functions

void | setSolidEnergyApproach (EclSolidEnergyApproach newApproach)
EclSolidEnergyApproach | solidEnergyApproach () const
template<EclSolidEnergyApproach approachV>
std::enable_if< approachV==EclSolidEnergyApproach::Heatcr, HeatcrLawParams >::type & | getRealParams ()
template<EclSolidEnergyApproach approachV>
std::enable_if< approachV==EclSolidEnergyApproach::Heatcr, constHeatcrLawParams >::type & | getRealParams () const
template<EclSolidEnergyApproach approachV>
std::enable_if< approachV==EclSolidEnergyApproach::Specrock, SpecrockLawParams >::type & | getRealParams ()
template<EclSolidEnergyApproach approachV>
std::enable_if< approachV==EclSolidEnergyApproach::Specrock, constSpecrockLawParams >::type & | getRealParams () const
Public Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE void | finalize ()
| Mark the object as finalized.

## Additional Inherited Members

Protected Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE | EnsureFinalized ()
| The default constructor.
OPM_HOST_DEVICE void | check () const

## Detailed Description

template<class ScalarT>
class Opm::EclSolidEnergyLawMultiplexerParams< ScalarT >

The default implementation of a parameter object for the ECL thermal law.

The documentation for this class was generated from the following file:

- opm/material/thermal/EclSolidEnergyLawMultiplexerParams.hpp